Package org.h2.expression.function

# Class BuiltinFunctions

java.lang.Object
org.h2.expression.function.BuiltinFunctions

public final class BuiltinFunctions extends Object
Maintains the list of built-in functions.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isBuiltinFunction(Database database, String upperName)`
Returns whether specified function is a non-keyword built-in function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isBuiltinFunction

public static boolean isBuiltinFunction(Database database, String upperName)
Returns whether specified function is a non-keyword built-in function.

Parameters:
  `database` - the database
  `upperName` - the name of the function in upper case
Returns:
  `true` if it is